Only add -fshow-warning-groups for ghc >= 7.11 (#10752)